This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 844170 - Review Request: fedora-jam-backgrounds - audio spin wallpapers
Review Request: fedora-jam-backgrounds - audio spin wallpapers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jørn Lomax
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-07-29 10:21 EDT by Brendan Jones
Modified: 2012-08-13 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:51:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
northlomax: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-07-29 10:21:24 EDT
fedora-jam-backgrounds is the wallpaper package for the Fedora Audio Spin "Fedora Jam"

SRPM: http://bsjones.fedorapeople.org/fedora-jam-backgrounds-0.0.1-1.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/fedora-jam-backgrounds.spec
Comment 1 Jørn Lomax 2012-07-30 07:07:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: fedora-jam-backgrounds-xfce-0.0.1-1.fc17.noarch.rpm
          fedora-jam-backgrounds-0.0.1-1.fc17.src.rpm
          fedora-jam-backgrounds-single-0.0.1-1.fc17.noarch.rpm
          fedora-jam-backgrounds-0.0.1-1.fc17.noarch.rpm
          fedora-jam-backgrounds-gnome-0.0.1-1.fc17.noarch.rpm
          fedora-jam-backgrounds-kde-0.0.1-1.fc17.noarch.rpm
fedora-jam-backgrounds-xfce.noarch: W: no-documentation
fedora-jam-backgrounds-xfce.noarch: W: dangling-relative-symlink /usr/share/xfce4/backdrops/fedora-jam.png ../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds.src: W: invalid-url Source0: fedora-jam-backgrounds-0.0.1.tar.xz
fedora-jam-backgrounds.noarch: W: no-documentation
fedora-jam-backgrounds-gnome.noarch: W: no-documentation
fedora-jam-backgrounds-kde.noarch: W: no-documentation
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1440x900.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1200x900.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1920x1440.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1920x1200.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1920x1080.png ../../../../backgrounds/fedora-jam/default/wider/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1600x1280.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1152x864.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1152x720.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1280x768.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1280x1024.png ../../../../backgrounds/fedora-jam/default/normalish/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1680x1050.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1280x800.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/640x480.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1024x600.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/800x600.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1600x1200.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1366x768.png ../../../../backgrounds/fedora-jam/default/wider/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1440x1080.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1280x960.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/2048x1536.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/800x480.png ../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1024x768.png ../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png
fedora-jam-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Fedora_Jam/contents/images/1280x720.png ../../../../backgrounds/fedora-jam/default/wider/fedora-jam.png
6 packages and 0 specfiles checked; 0 errors, 29 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint fedora-jam-backgrounds-gnome fedora-jam-backgrounds-sin 
gle
fedora-jam-backgrounds-gnome.noarch: I: enchant-dictionary-not-found en_US
fedora-jam-backgrounds-gnome.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
fedora-jam-backgrounds-xfce-0.0.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    fedora-jam-backgrounds-single = 0.0.1-1.fc17
    xfdesktop  

fedora-jam-backgrounds-single-0.0.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    

fedora-jam-backgrounds-0.0.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    fedora-jam-backgrounds-gnome = 0.0.1-1.fc17
    fedora-jam-backgrounds-kde = 0.0.1-1.fc17

fedora-jam-backgrounds-gnome-0.0.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    fedora-jam-backgrounds-single = 0.0.1-1.fc17

fedora-jam-backgrounds-kde-0.0.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    fedora-jam-backgrounds-single = 0.0.1-1.fc17
    kde-filesystem  

Provides
--------
fedora-jam-backgrounds-xfce-0.0.1-1.fc17.noarch.rpm:
    
    fedora-jam-backgrounds-xfce = 0.0.1-1.fc17

fedora-jam-backgrounds-single-0.0.1-1.fc17.noarch.rpm:
    
    fedora-jam-backgrounds-single = 0.0.1-1.fc17

fedora-jam-backgrounds-0.0.1-1.fc17.noarch.rpm:
    
    fedora-jam-backgrounds = 0.0.1-1.fc17

fedora-jam-backgrounds-gnome-0.0.1-1.fc17.noarch.rpm:
    
    fedora-jam-backgrounds-gnome = 0.0.1-1.fc17

fedora-jam-backgrounds-kde-0.0.1-1.fc17.noarch.rpm:
    
    fedora-jam-backgrounds-kde = 0.0.1-1.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 844170
External plugins:
Comment 2 Jørn Lomax 2012-07-30 07:10:44 EDT
Two of the issues are EPEL related (not applicable here), one is not applicable and the licencing issue is a false positive. Licence file is present and has appropriate short name in spec file.
Dangling symlinks can be ignored

You don't need a licence line in the single package since it's the same as the main package. You can also explain a little more explanation on how to obtain the source[1] 

Fix the above and i will happily approve the package


[1]http://fedoraproject.org/wiki/Packaging:SourceURL
Comment 3 Brendan Jones 2012-07-30 14:26:57 EDT
Thanks for the review!

I've included a git retrieval script in the SRPM now. I've also removed the obsolete sections.

SRPM: http://bsjones.fedorapeople.org/fedora-jam-backgrounds-0.0.1-2.1.git569af19fa.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/fedora-jam-backgrounds.spec
Comment 4 Jørn Lomax 2012-07-30 14:30:58 EDT
No problem, just happy to have something different to do :)

Almost there. You still don't need the licence line for the single package
Comment 6 Jørn Lomax 2012-07-30 17:34:06 EDT
All good now. I so no reason to hold back this package anymore

Package is APPROVED.
Comment 7 Brendan Jones 2012-07-30 23:54:22 EDT
Thanks again.

New Package SCM Request
=======================
Package Name: fedora-jam-backgrounds
Short Description: Fedora Jam desktop backgrounds
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 8 Jon Ciesla 2012-07-31 05:53:51 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-31 12:32:15 EDT
fedora-jam-backgrounds-0.0.1-2.2.git569af19fa.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-jam-backgrounds-0.0.1-2.2.git569af19fa.fc17
Comment 10 Fedora Update System 2012-08-01 14:27:28 EDT
fedora-jam-backgrounds-0.0.1-2.2.git569af19fa.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-08-13 20:51:01 EDT
fedora-jam-backgrounds-0.0.1-2.2.git569af19fa.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.